package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/24 7:14 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_OBJECT_CFG")
@Api("对象结构")
public class MesObjectCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = 55753384888695913L;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "FIELD_CODE")
    @ApiParam("字段代码")
    private String fieldCode;

    @Column(name = "FIELD_NAME")
    @ApiParam("字段名称")
    private String fieldName;

    @Column(name = "FIELD_TYPE")
    @ApiParam("字段类型")
    private String fieldType;

    @Column(name = "FIELD_LENGTH")
    @ApiParam("列长度")
    private Integer fieldLength;

    @Column(name = "POJO_ATTR")
    @ApiParam("对应的pojo属性")
    private String pojoAttr;

    @Column(name = "IS_SAVE")
    @ApiParam("是否保存 1存 2不存")
    private Integer isSave;

    @Transient
    @ApiParam("是否存储名")
    private String isSaveName;

}
