package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : joke
 * @CreateDate : 2020-03-06 9:40 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_JIT_PLAN")
@Api("MES_客户JIT预装队列")
public class MesQueueJitPlan extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6613487463796132500L;

    @Column(name = "JIS_PLAN_NO")
    @ApiParam("队列编号")
    private String jisPlanNo;

    @Column(name = "PROD_CFG_CODE")
    @ApiParam("配置代码")
    private String prodCfgCode;

    @Column(name = "VIN_CODE")
    @ApiParam("vin")
    private String vinCode;

    @Column(name = "CUST_FLAG_NO")
    @ApiParam("客户标识号")
    private String custFlagNo;

    @Column(name = "VEHICLE_CODE")
    @ApiParam("选配码")
    private String vehicleCode;

    @Column(name = "SEQ")
    @ApiParam("计划排序号")
    private String seq;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;

    @Column(name = "PLAN_DATE")
    @ApiParam("计划上线时间")
    private String planDate;

    @Column(name = "CUST_CODE")
    @ApiParam("客户代码")
    private String custCode;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @Column(name = "VERSION")
    @ApiParam("版本号")
    private String version;
}
