package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/8/23 11:42 AM
 * @Description:
 **/

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("生成条码模型")
public class GenSerialNoModel {

    @ApiParam("规则代码")
    private String ruleCode;

    @ApiParam("规则描述")
    private String ruleDesc;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("客户物料号")
    private String custPartNo;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("年")
    private String year;

    @ApiParam("月")
    private String month;

    @ApiParam("日")
    private String day;

    @ApiParam("时")
    private String hour;

    @ApiParam("分")
    private String minute;

    @ApiParam("秒")
    private String second;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("产地")
    private String prodLocation;

    @ApiParam("前缀")
    private String prefix;

    @ApiParam("编码规则")
    private String numberRule;

    @ApiParam("序号长度")
    private Integer serialnoLength;

    @ApiParam("增量")
    private Integer serialnoIncrement;

    @ApiParam("最大值后循环")
    private Integer isCycle;

    @ApiParam("当前编号前缀")
    private String currentNumberPrefix;

    @ApiParam("当前序号")
    private Integer currentSerialno;

    @ApiParam("当前编号")
    private String currentNumber;

    @ApiParam("物料类型3")
    private String categoryCode3;

    @ApiParam("零件号后4位")
    private String partNoAfterFour;


    public GenSerialNoModel(String ruleCode) {
        this.ruleCode = ruleCode;
    }

}
