package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_MAIN_TASK")
@EqualsAndHashCode(callSuper = true)
@Api("主任务")
public class PtlMainTask extends BaseBean implements Serializable {

    private static final long serialVersionUID = 8626414623799663395L;

    @Column(name = "TASK_NO")
    @ApiParam("主任务编号")
    private String taskNo;

    @Column(name = "ORDER_NO")
    @ApiParam("业务单号")
    private String orderNo;

    @Column(name = "SEQ")
    @ApiParam("主任务顺序号")
    private Integer seq;

    @Column(name = "PART_NO")
    @ApiParam("产品物料号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("产品名称")
    private String partName;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Integer qty;

    @Column(name = "PROD_CFG_CODE")
    @ApiParam("产品组代码")
    private String prodCfgCode;

    @Column(name = "PROD_CFG_NAME")
    @ApiParam("产品组名称")
    private String prodCfgName;

    @Column(name = "CUST_FLAG_NO")
    @ApiParam("客户标识号")
    private String custFlagNo;

    @Column(name = "VIN_CODE")
    @ApiParam("VIN号")
    private String vinCode;

    @Column(name = "DETAIL_SEQ")
    @ApiParam("明细顺序号")
    private Integer detailSeq;

    @Column(name = "PART_LOCATION")
    @ApiParam("产品位置")
    private String partLocation;

    @Column(name = "SN")
    @ApiParam("产品条码")
    private String sn;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "TASK_TYPE")
    @ApiParam("任务类型")
    private String taskType;

    @Column(name = "STATUS")
    @ApiParam("任务状态")
    private Integer status;

    @Column(name = "TASK_SRC")
    @ApiParam("任务来源")
    private String taskSrc;


}
