package cn.estsh.i3plus.pojo.sweb.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Version;

/**
 * @Description :
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-27
 * @Modify:
 **/
@Data
@Table(name = "SWEB_DOC_MOVEMENT_DETAILS")
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("移库单-明细")
public class SwebDocMovementDetails extends BaseBean {
    private static final long serialVersionUID = -1232334350341792942L;

    @ApiParam("供应商编号")
    @Column(name = "VENDOR_CODE")
    private String vendorCode;

    @ApiParam("供应商名称")
    @Column(name = "VENDOR_NAME")
    private String vendorName;

    @Column(name = "DEST_AREA_NO")
    @ApiParam("目的库存地代码")
    public String destAreaNo;

    @Column(name = "DEST_WH_NO")
    @ApiParam("目标仓库代码")
    public String destWhNo;

    @Column(name = "DEST_ZONE_NO")
    @ApiParam("目标存储区代码")
    public String destZoneNo;

    @Column(name = "DEST_LOCATE_NO")
    @ApiParam("目标库位代码")
    public String destLocateNo;

    @Column(name = "ORDER_NO")
    @ApiParam(value = "移库单单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name = "ITEM")
    @ApiParam("行号")
    public String item;

    /**
     * 是否免费:0=计费,1=免费
     */
    @Column(name = "IS_FREE")
    @ApiParam(value = "是否免费", example = "1")
    public Integer isFree;

    /**
     * 状态:N=正常,C=行取消
     */
    @Column(name = "ITEM_STATUS")
    @ApiParam(value = "状态", example = "1")
    private Integer itemStatus;

    @Column(name = "PICK_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "已拣货数量", example = "1")
    private Double pickQty;

    @Column(name = "OUT_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "已出库数量", example = "1")
    private Double outQty;

    @Column(name = "REC_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "已收货数量", example = "1")
    private Double recQty;

    @Column(name = "MOVE_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "已移库数量", example = "1")
    private Double moveQty;

    @Column(name = "PLAN_DATE")
    @ApiParam(value = "计划日期")
    private String planDate;

    @Column(name = "PLAN_TIME")
    @ApiParam(value = "计划时间")
    private String planTime;

    @Column(name = "PRINT_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "条码打印数量", example = "1")
    private Double printQty;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam(value = "需求数量", example = "0")
    public Double qty;

    @Column(name = "REMARK")
    @ApiParam(value = "操作原因")
    private String remark;

    @Column(name = "SRC_AREA_NO")
    @ApiParam("源库存地代码")
    public String srcAreaNo;

    @Column(name = "SRC_WH_NO")
    @ApiParam("源仓库代码")
    public String srcWhNo;

    @Column(name = "SRC_ZONE_NO")
    @ApiParam("源存储区代码")
    public String srcZoneNo;

    @Column(name = "SRC_LOCATE_NO")
    @ApiParam("源库位代码")
    public String srcLocateNo;

    @Column(name = "UNIT")
    @ApiParam("单位")
    public String unit;

    @Version
    @Column(name = "LOCK_VERSION")
    @ApiParam(value = "乐观锁", example = "1")
    public transient Integer lockVersion;

    @Column(name = "IS_SN")
    @ApiParam(value = "条码生成状态", example = "20")
    public Integer isSn;

    @Column(name = "LOT_NO")
    @ApiParam("批次")
    public String lotNo;
}
