package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 运输方式
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-05-06 14:50
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_MODE_TRANSPORT")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value = "运输方式", description = "运输方式")
public class WmsModeTransport extends BaseBean {

    private static final long serialVersionUID = 2323715097364547677L;
    @Column(name = "ORGANIZE_NAME")
    @ApiParam(value = "工厂名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String organizeName;

    @Column(name = "ORGANIZE_CODE")
    @ApiParam(value = "工厂代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String organizeCode;

    @Column(name = "TRANSPORT_TYPE")
    @ApiParam(value = "运输方式")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, dataSrc = "TRANSPORT_TYPE")
    private String transportType;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam(value = "序号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String serialNumber;

    @Column(name = "remake")
    @ApiParam(value = "说明")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String remake;

}
