package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 移动单统计输出model
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-10-31 20:04
 * @Modify:
 **/
@Data
@Api("移动单统计输出model")
public class WmsMoveInfoModel {


    @ApiParam(value = "操作时间")
    private String modifyDateTime;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam(value = "物料名称")
    private String partNameRdd;

    @ApiParam(value = "交易类型")
    private String transTypeCode;

    @ApiParam(value = "交易类型名称")
    private String transTypeName;

    @ApiParam(value = "业务类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.OUT_MOVEMENT_BUSI_TYPE.class, refForeignKey = "value", value = "description")
    private Integer busiTypeCode;

    @ApiParam(value = "处理数量")
    private String sumQty;

    @ApiParam(value = "工厂代码")
    private String organizeCode;


    @ApiParam(value = "操作状态")
    @AnnoOutputColumn(refClass = WmsEnumUtil.MOVE_ORDER_STATUS.class, refForeignKey = "value", value = "description")
    private Integer itemStatus;

    public WmsMoveInfoModel() {
    }

    public WmsMoveInfoModel(String modifyDateTime, String partNo, String partNameRdd, String transTypeCode, String transTypeName, Integer busiTypeCode, String sumQty, String organizeCode) {
        this.modifyDateTime = modifyDateTime;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.transTypeCode = transTypeCode;
        this.transTypeName = transTypeName;
        this.busiTypeCode = busiTypeCode;
        this.sumQty = sumQty;
        this.organizeCode = organizeCode;
    }
}
